diff options
author | Stefan Metzmacher <metze@samba.org> | 2005-06-09 07:14:39 +0000 |
---|---|---|
committer | Gerald (Jerry) Carter <jerry@samba.org> | 2007-10-10 13:17:51 -0500 |
commit | 7931aed30de1f3222fe1d60042cf4951469a770f (patch) | |
tree | 0665ffa7c5d712fa7b3c1f1b9c950ea4605f206c /source4/script/tests/test_echo.sh | |
parent | 32e935c8c67902dff2d089658f2877f60fd89b4e (diff) | |
download | samba-7931aed30de1f3222fe1d60042cf4951469a770f.tar.gz samba-7931aed30de1f3222fe1d60042cf4951469a770f.tar.bz2 samba-7931aed30de1f3222fe1d60042cf4951469a770f.zip |
r7421: - move test* functions to a seperate file
- print build farm style output when RUN_FROM_BUILD_FARM=yes
metze
(This used to be commit 7e567a6b69d05fa180bb4384b503969f79f18068)
Diffstat (limited to 'source4/script/tests/test_echo.sh')
-rwxr-xr-x | source4/script/tests/test_echo.sh | 33 |
1 files changed, 6 insertions, 27 deletions
diff --git a/source4/script/tests/test_echo.sh b/source4/script/tests/test_echo.sh index 2e0ed3ed02..882050a588 100755 --- a/source4/script/tests/test_echo.sh +++ b/source4/script/tests/test_echo.sh @@ -13,29 +13,8 @@ password="$3" domain="$4" shift 4 -testit() { - trap "rm -f test.$$" EXIT - cmdline="$*" - if ! $cmdline > test.$$ 2>&1; then - cat test.$$; - rm -f test.$$; - echo "TEST FAILED - $cmdline"; - return 1; - fi - rm -f test.$$; - return 0; -} - -testok() { - name=`basename $1` - failed=$2 - if [ x"$failed" = x"0" ];then - echo "ALL OK ($name)"; - else - echo "$failed TESTS FAILED ($name)"; - fi - exit $failed -} +incdir=`dirname $0` +. $incdir/test_functions.sh transports="ncacn_np ncacn_ip_tcp" if [ $server = "localhost" ]; then @@ -54,14 +33,14 @@ for transport in $transports; do "--option=ntlmssp_client:ntlm2=yes --option=ntlmssp_client:keyexchange=no" \ "--option=ntlmssp_client:ntlm2=no --option=ntlmssp_client:keyexchange=no --option=torture:echo_TestSleep=no" \ ; do - echo Testing $transport with $bindoptions and $ntlmoptions - testit bin/smbtorture $transport:"$server[$bindoptions]" $ntlmoptions -U"$username"%"$password" -W $domain RPC-ECHO "$*" || failed=`expr $failed + 1` + name="$transport with $bindoptions and $ntlmoptions" + testit "$name" bin/smbtorture $transport:"$server[$bindoptions]" $ntlmoptions -U"$username"%"$password" -W $domain RPC-ECHO "$*" || failed=`expr $failed + 1` done done done # separately test the print option - its v slow -echo Testing print option -testit bin/smbtorture ncacn_np:"$server[print]" -U"$username"%"$password" -W $domain RPC-ECHO "$*" || failed=`expr $failed + 1` +name="[print] option" +testit bin/smbtorture "$name" ncacn_np:"$server[print]" -U"$username"%"$password" -W $domain RPC-ECHO "$*" || failed=`expr $failed + 1` testok $0 $failed |